Page MenuHomePhabricator

Get important info about IRC & Gerrit Ports to wifi / internet providers for Wikimedia Hackathon 2016
Closed, ResolvedPublic

Description

Current status:

port (range)ProtoServiceStatus
4242TCPQuasselShould be opened, please confirm
8822TCPXmlRcsWorking
60000-61000UDPmoshWorking
9090TCPProjectFirrreWorking
1194TCP,UDPOpenVPNWorking
29418TCPGerritWorking
6665-6667TCPIRCWorking
8000-8002TCPIRCWorking
6697TCPIRCWorking
7000TCPIRCWorking
7070TCPIRCWorking
22TCPSSHWorking

Event Timeline

Rfarrand created this task.Jan 26 2016, 6:58 PM
Rfarrand claimed this task.
Rfarrand raised the priority of this task from to Normal.
Rfarrand updated the task description. (Show Details)
Rfarrand added subscribers: Rfarrand, Qgil, Chen_WMIL.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2016, 6:58 PM
Rfarrand set Security to None.Jan 27 2016, 10:57 PM
Rfarrand added subscribers: Legoktm, 80686.

Anything to add @Legoktm or @80686?

Everything compiled in this task will be communicated to any internet provider for future events.

A more broad request would be simply 'unrestricted internet' at future events. There are bound to be other technologies and ports that we'll want open, but not know about in advance.

Requesting for certain ports to be open may not be well understood by some conference venues. 'unrestricted internet access without firewalls' is easier to ask for...

A more broad request would be simply 'unrestricted internet' at future events. There are bound to be other technologies and ports that we'll want open, but not know about in advance.
Requesting for certain ports to be open may not be well understood by some conference venues. 'unrestricted internet access without firewalls' is easier to ask for...

^ that.

For specific ports, 22 for ssh.

80686 added a comment.Feb 29 2016, 9:45 PM

SSH
Jabber / XMPP
IMAP
SMTP + SMTP MSA
MoSH

Elitre added a subscriber: Elitre.Mar 1 2016, 5:10 PM
Reedy reassigned this task from Rfarrand to siebrand.Apr 1 2016, 7:46 AM
Anomie added a subscriber: Anomie.Apr 1 2016, 8:23 AM

OpenVPN (1194, both TCP & UDP) would be another useful one.

The 'Hansen WiFi' is less strictly filtered than 'wiki media', so if something doesn't work, switch to that network.

Missing from 'wiki media':

  • Gerrit (TCP 29418)
  • Mosh (UDP 60000-61000)
siebrand added a subscriber: Gilles.Apr 1 2016, 8:57 AM

From @Gilles:

9090 which is the port used by the firrre free IRC bouncer

Gerrit and IRC ports now work. I'm creating a proper list of all ports that were reported to me with the current status on the Wi-Fi.

Current status. Please test the ? because I can't test those services.

port (range) Service Proto Status
1194 OpenVPN TCP,UDP ?
4242 Quassel TCP ?
60000-61000 mosh UDP Not yet working
9090 ProjectFirrre TCP Not yet working
29418 Gerrit TCP Working
6665-6667 IRC TCP Working
8000-8002 IRC TCP Working
6697 IRC TCP Working
7000 IRC TCP Working
7070 IRC TCP Working
22 SSH TCP Working

valhallasw added a comment.EditedApr 1 2016, 9:50 AM

On wiki media, mosh is still nonfunctional.

Edit: Ugh, but there was no ? there, so you already knew that. Ignore my message ;-)

Petrb added a subscriber: Petrb.Apr 1 2016, 10:00 AM

Please open 8822 TCP it's http://wikitech.wikimedia.org/wiki/XmlRcs needed by huggle, thanks

siebrand added a subscriber: Johan.Apr 1 2016, 10:58 AM

Add @Johan as subscriber.

All ports requested to be opened should now be open. Please report here if that's not correct with the port specifics.

siebrand updated the task description. (Show Details)Apr 1 2016, 11:11 AM
Reedy added a subscriber: Reedy.Apr 1 2016, 11:13 AM

4242 for Quassel is still not working...

siebrand updated the task description. (Show Details)Apr 1 2016, 12:24 PM

The message I got was "Please try they opened it", so please confirm or deny XmlRcs, Quassel, mosh and ProjectFirrre working. Thanks.

Gilles updated the task description. (Show Details)Apr 1 2016, 1:19 PM
siebrand updated the task description. (Show Details)Apr 1 2016, 1:41 PM
Petrb added a comment.Apr 1 2016, 2:16 PM

XmlRcs works

Petrb updated the task description. (Show Details)Apr 1 2016, 2:16 PM
siebrand updated the task description. (Show Details)Apr 1 2016, 2:57 PM

Siebrand - can't thank you enough for handling this!

Macro votecat: Siebrand to the rescue!

siebrand closed this task as Resolved.Apr 2 2016, 5:49 PM
Qgil awarded a token.Apr 3 2016, 7:18 AM

Note: I've taken the info in the task, and merged it into the list at https://meta.wikimedia.org/wiki/Wikimania_Handbook#Hackathon_requirements